Subject: bug#72528: 29.2; ispell considers that entries in the private ispell

From: Eli Zaretskii <[email-masked]>
Date: Thu, 08 Aug 2024 21:31:07 +0300

> Date: Thu, 08 Aug 2024 18:47:55 +0200
> From:  Uwe Brauer via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> 
> Hi
> 
> I have used ispell+flyspell for many years, and have also added words
> not found in the ispell dictoionaries to my private lists, for example
> 
> .ispell_castellano
> 
> contains words like
> 
> acreditación
> 
> saved in UTF8.
> That was never a problem.
> 
> now it is:
> 
> Steps to reprocuce the problem (provided you have a private wordlist in
> UTF8)
> 
> 1. emacs -Q
> 2. load the file containing
> (setq  ispell-program-name "ispell")
> (autoload 'flyspell-mode "flyspell" "On-the-fly spelling checking" t)
> (add-hook 'LaTeX-mode-hook 'turn-on-flyspell)
>   
> (setq flyspell-issue-message-flag nil)
>   
> (add-hook 'message-mode-hook 'turn-on-flyspell)
> 
>   (defun turn-on-flyspell ()
>     "Turn on FlySpell minor mode."
>     (flyspell-mode t))
>   
> open a file:
> 
> %%  -*-coding: utf-8;ispell-local-dictionary: "castellano8";-*-
> 
> nacion
> 
> mark the region containing the word nacion, run ispell-region
> 
> the following error appears
> Starting new Ispell process ispell with castellano8 dictionary...done
> ispell-init-process: @(#) International Ispell Version 3.4.06 30 Oct 2023
> Word 'zoonÃ³ticas' contains illegal characters
> 
> Word 'ZacarÃ­as' contains illegal characters
> 
> Word 'VÃ¡zquez' contains illegal characters
> 
> 
> any idea what is the reason for this (new) behavior? Shall I save the
> list in latin-1? (I did and the message disappears, but I am still
> puzzled)

If it's really Ispell that you are using (not Aspell or Hunspell that
pretend to be Ispell), then you cannot use UTF-8, because Ispell
doesn't support it.  You must use 8-bit encoding such as Latin-1.